---
title: llarp::logging::CallbackSink

---

# llarp::logging::CallbackSink



 [More...](#detailed-description)

Inherits from spdlog::sinks::base_sink< Mutex >

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[CallbackSink](Classes/classllarp_1_1logging_1_1CallbackSink.md#function-callbacksink)**(lokinet_logger_func log, lokinet_logger_sync sync =nullptr, void * context =nullptr) |

## Protected Functions

|                | Name           |
| -------------- | -------------- |
| void | **[sink_it_](Classes/classllarp_1_1logging_1_1CallbackSink.md#function-sink-it-)**(const spdlog::details::log_msg & msg) override |
| void | **[flush_](Classes/classllarp_1_1logging_1_1CallbackSink.md#function-flush-)**() override |

## Detailed Description

```cpp
template <typename Mutex >
class llarp::logging::CallbackSink;
```

## Public Functions Documentation

### function CallbackSink

```cpp
inline explicit CallbackSink(
    lokinet_logger_func log,
    lokinet_logger_sync sync =nullptr,
    void * context =nullptr
)
```


## Protected Functions Documentation

### function sink_it_

```cpp
inline void sink_it_(
    const spdlog::details::log_msg & msg
) override
```


### function flush_

```cpp
inline void flush_() override
```


-------------------------------

Updated on 2023-01-26 at 19:35:17 +0000